All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
hypot.hpp File Reference
`#include <math.h>`
`#include <stan/math/rev/core.hpp>`
`#include <cmath>`
`#include <valarray>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

var | stan::math::hypot (const var &a, const var &b)
| Returns the length of the hypoteneuse of a right triangle with sides of the specified lengths (C99). More...
var | stan::math::hypot (const var &a, double b)
| Returns the length of the hypoteneuse of a right triangle with sides of the specified lengths (C99). More...
var | stan::math::hypot (double a, const var &b)
| Returns the length of the hypoteneuse of a right triangle with sides of the specified lengths (C99). More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.